%define name    patchutils
%define version 0.2.10
%define release 1mdk

Summary: Patches utilities 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://cyberelk.net/tim/patchutils/
License: GPL
Group: Text tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Provides: interdiff
Obsoletes: interdiff
Requires: patch diffutils

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%setup -q

%build
# patch to allow CFLAGS in Makefile
#perl -pi -e "s|-Wall|-Wall \\$\(CFLAGS)||g;" Makefile

# build the package
%configure
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS ChangeLog TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.10-1mdk
- update

* Mon Feb 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.9-1mdk
- new release (bug fix in cvs diff handling)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- Requires: patch diffutils

* Wed Dec 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release

* Mon Dec 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Thu Nov 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-2mdk
- fix %url (chmouel)

* Wed Nov 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- new release

* Tue Nov 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Tue Nov 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release

* Tue Oct 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.5-1mdk
- new release

* Wed Oct 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-1mdk
- new release

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- initial release
- obsoletes interdiff
- macroize
- more docs
